package com.usky.sas.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.sas.domain.SasAlarsasGroupType;
import com.usky.sas.service.vo.AlarmGroupPageRequest;
import com.usky.sas.service.vo.AlarmGroupSaveRequest;

/**
 * 报警联动组类型 服务接口
 */
public interface SasAlarsasGroupTypeService extends CrudService<SasAlarsasGroupType> {

    CommonPage<SasAlarsasGroupType> page(AlarmGroupPageRequest request);

    String create(AlarmGroupSaveRequest request);

    void update(String id, AlarmGroupSaveRequest request);

    void delete(String id);
}

